import Wrapper from './Wrapper.svelte';
import Image from './Image.svelte';
import Content from './Content.svelte';
import Title from './Title.svelte';
import Description from './Description.svelte';
import ReadMoreButton from './ReadMoreButton.svelte';

const Card = {
  ...Wrapper,
  Image,
  Content,
  Title,
  Description,
  ReadMoreButton
} as typeof Wrapper & {
  Image: typeof Image;
  Content: typeof Content;
  Title: typeof Title;
  Description: typeof Description;
  ReadMoreButton: typeof ReadMoreButton;
}

export { Card };
